curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/tools/5/duplicate"
{
"id": 9,
"server_id": 2,
"name": "create_customer (copy)",
"description": "Create a new customer in Stripe",
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"auth_type": "bearer",
"auth_credentials": null,
"cache_ttl": 0,
"timeout": 30,
"sort_order": 99,
"status": "active",
"created_at": "2025-03-18T13:00:00",
"updated_at": "2025-03-18T13:00:00"
}
Create an exact copy of an existing tool within the same server.
curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/tools/5/duplicate"
{
"id": 9,
"server_id": 2,
"name": "create_customer (copy)",
"description": "Create a new customer in Stripe",
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"auth_type": "bearer",
"auth_credentials": null,
"cache_ttl": 0,
"timeout": 30,
"sort_order": 99,
"status": "active",
"created_at": "2025-03-18T13:00:00",
"updated_at": "2025-03-18T13:00:00"
}
(copy).
curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/tools/5/duplicate"
{
"id": 9,
"server_id": 2,
"name": "create_customer (copy)",
"description": "Create a new customer in Stripe",
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"auth_type": "bearer",
"auth_credentials": null,
"cache_ttl": 0,
"timeout": 30,
"sort_order": 99,
"status": "active",
"created_at": "2025-03-18T13:00:00",
"updated_at": "2025-03-18T13:00:00"
}